/**
 * 	\file		Exception.h
 *  \author:    Joshua J Bialkowski (jbialk@mit.edu)
 *  \date:      Oct 28, 2009
 *  \brief:
 *
 *  detail:
 */

#ifndef EXCEPTION_H_
#define EXCEPTION_H_

#include <string>

namespace txduino
{

class Exception
{
    private:
        std::string     message;

    public:
        Exception( const char *message )            throw();
        Exception( const std::string& message )     throw();
        virtual ~Exception()                        throw();

        virtual
        const char *        what()                  throw();

        virtual
        const char *        getClassName()          throw();
};

}

#endif /* EXCEPTION_H_ */
