/**
 * 	\file
 *  \author:    Joshua J Bialkowski (jbialk@mit.edu)
 *  \date:      Jun 29, 2009
 *  \brief:
 *
 *  detail:
 */

#ifndef CILLEGALARGUMENTEXCEPTION_H_
#define CILLEGALARGUMENTEXCEPTION_H_


#include "Exception.h"

namespace txduino
{



/**
 *  \brief  thrown when the provided argument has a value that is not allowed
 *
 *  Simple exception that is thrown when the provided argument to a function
 *  is not allowed
 *
 *  \see    StringException
 */
class IllegalArgumentException: public Exception
{
    public:
        IllegalArgumentException( const char *message )      throw();
        IllegalArgumentException( const std::string& message )     throw();

        virtual ~IllegalArgumentException()            throw();

        virtual const char* getClassName()                    throw();
};


}


#endif /*_CLLEGALARGUMENTEXCEPTION_H_ */
